Bug 179294 - RFE : anaconda shouldn't partition drive(s) under kadischi
RFE : anaconda shouldn't partition drive(s) under kadischi
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2006-01-29 18:18 EST by John McBride
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 10.91.14
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-03-21 11:12:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description John McBride 2006-01-29 18:18:07 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8) Gecko/20060103 Fedora/1.5-4 Firefox/1.5

Description of problem:
I'm getting a partitioning error running the kadischi liveCD generator. This does not happen under FC4.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Follow basic instructions for kasdischi LiveCD generation. There are special steps for FC5T2, see list or ask.
2. Run kadischi per examples.
3. Get error message.

Actual Results:  Anaconda hangs with message :

In interactive step parttype, can't continue

Expected Results:  New iso image.

Additional info:

Here is a sample command :

# kadischi /media/disk/fc5 /tmp/fc5t2.iso --kickstart=/usr/local/share/kadischi/ks_examples/minimal-livecd.cfg -C
Starting kadischi...
Parsing command line arguments
Checking UID
Using buildstamp file /etc/kadischi/buildstamp.
Product path set to Fedora.
Now we are going to try to validate your repository (for now, only http, ftp and local repositories can be checked)
Path /media/disk/fc5 exists. OK
Path /media/disk/fc5/Fedora exists. OK
Path /media/disk/fc5/Fedora/base exists. OK
Path /media/disk/fc5/Fedora/RPMS exists. OK
Repository seems to be OK.
Checking required packages
Looking for config file
Loadnig config file options

  ***  running anaconda  ***

Probing for video card:   VIA Technologies, Inc. VT8378 [S3 UniChrome] Integrated Video
Probing for monitor type:   A91f+
In interactive step parttype, can't continue
Comment 1 Jasper O. Hartline 2006-03-18 03:48:13 EST
Hi. I'm working closely with Kadischi also at the moment and this issue
was fixed in Anaconda 10.91.14-1. Just an FYI.
Comment 2 John McBride 2006-03-18 09:41:05 EST
Thanks Jasper. The list requested I create this bugreport. AFAIK, kickstart
still doesn't work in kadischi, and it's still shown as "broken" in the
development status. Not sure if that's an anaconda issue or not. Without
kickstart in kadischi I can't use FC5.

Note You need to log in before you can comment on or make changes to this bug.